%global __requires_exclude ^perl\\(Pod::Simple\\)$
%define major_ver %(echo %version | cut -d. -f1)

Summary:        Format POD source into various output formats
Name:           perl-podlators
Version:        5.01
Release:        4%{?dist}
License:        (GPL+ or Artistic) and FSFAP
URL:            https://metacpan.org/release/podlators
%if %{major_ver} < 6
Source0:        https://cpan.metacpan.org/authors/id/R/RR/RRA/podlators-%{version}.tar.gz
%else
Source0:        https://cpan.metacpan.org/authors/id/R/RR/RRA/podlators-v%{version}.tar.gz
%endif

BuildRequires:  make perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8 perl(Config)
BuildRequires:  perl(Cwd) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Basename) perl(File::Spec) >= 0.8
BuildRequires:  perl(strict) perl(warnings)

# Run-time:
BuildRequires:  perl(Carp) perl(Encode) perl(Exporter)
BuildRequires:  perl(Pod::Simple) >= 3.06
BuildRequires:  perl(POSIX) perl(subs) perl(vars)
BuildRequires:  perl(Term::ANSIColor) perl(Term::Cap)

# Tests:
BuildRequires:  perl(base) perl(lib) perl(Test::More)
BuildRequires:  perl(File::Find) perl(File::Temp)
BuildRequires:  perl(Getopt::Long) perl(IO::File)

BuildArch:      noarch

Requires:       perl(File::Basename) perl(File::Spec) >= 0.8
Requires:       perl(Pod::Simple) >= 3.06

%description
podlators contains two main modules, Pod::Man and Pod::Text. The former converts 
POD into nroff/troff source and the latter into plain text (with various options 
controlling some of the formatting). There are also several subclasses of Pod::Text 
for generating slightly formatted text using color or other terminal control escapes, 
and a general utility module, Pod::ParseLink, for parsing the POD L<> formatting 
sequences. Also included in this package are the pod2text and pod2man driver scripts.

%prep
%autosetup -n podlators-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
unset AUTHOR_TESTING AUTOMATED_TESTING RELEASE_TESTING
make test

%files
%license LICENSE
%doc Changes README THANKS TODO
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Wed Aug 21 2024 Xiaojie Chen <jackxjchen@tencent.com> - 5.01-4
- Update the source URL to support automatic upgrades

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.01-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.01-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 31 2023 Xiaojie Chen <jackxjchen@tencent.com> - 5.01-1
- Upgrade to upstream version 5.01
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.14-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 17 2022 Cheng Xin <denisecheng@tencent.com> - 4.14-1
- package init.
